Create view
curl --request POST \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"definition": {
"purpose": "<string>",
"scope": {
"files": {
"file_ids": [],
"collection_ids": []
},
"graph": {
"node_ids": [],
"entity_type_ids": [],
"relationship_type_ids": []
},
"shape_ids": []
}
},
"description": "<string>"
}
'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices"
payload = {
"name": "<string>",
"definition": {
"purpose": "<string>",
"scope": {
"files": {
"file_ids": [],
"collection_ids": []
},
"graph": {
"node_ids": [],
"entity_type_ids": [],
"relationship_type_ids": []
},
"shape_ids": []
}
},
"description": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
definition: {
purpose: '<string>',
scope: {
files: {file_ids: [], collection_ids: []},
graph: {node_ids: [], entity_type_ids: [], relationship_type_ids: []},
shape_ids: []
}
},
description: '<string>'
})
};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'definition' => [
'purpose' => '<string>',
'scope' => [
'files' => [
'file_ids' => [
],
'collection_ids' => [
]
],
'graph' => [
'node_ids' => [
],
'entity_type_ids' => [
],
'relationship_type_ids' => [
]
],
'shape_ids' => [
]
]
],
'description' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"definition\": {\n \"purpose\": \"<string>\",\n \"scope\": {\n \"files\": {\n \"file_ids\": [],\n \"collection_ids\": []\n },\n \"graph\": {\n \"node_ids\": [],\n \"entity_type_ids\": [],\n \"relationship_type_ids\": []\n },\n \"shape_ids\": []\n }\n },\n \"description\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"definition\": {\n \"purpose\": \"<string>\",\n \"scope\": {\n \"files\": {\n \"file_ids\": [],\n \"collection_ids\": []\n },\n \"graph\": {\n \"node_ids\": [],\n \"entity_type_ids\": [],\n \"relationship_type_ids\": []\n },\n \"shape_ids\": []\n }\n },\n \"description\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"definition\": {\n \"purpose\": \"<string>\",\n \"scope\": {\n \"files\": {\n \"file_ids\": [],\n \"collection_ids\": []\n },\n \"graph\": {\n \"node_ids\": [],\n \"entity_type_ids\": [],\n \"relationship_type_ids\": []\n },\n \"shape_ids\": []\n }\n },\n \"description\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"schema": "penumbra.context-slice",
"version": 1,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"draft_revision": 123,
"draft_definition": {
"purpose": "<string>",
"scope": {
"files": {
"file_ids": [],
"collection_ids": []
},
"graph": {
"node_ids": [],
"entity_type_ids": [],
"relationship_type_ids": []
},
"shape_ids": []
}
},
"head": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"definition_hash": "<string>",
"resolved_hash": "<string>",
"published_at": "2023-11-07T05:31:56Z"
},
"created_by_subject_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"replayed": true
}
}Views
Create view
Create a View.
Create view
curl --request POST \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"definition": {
"purpose": "<string>",
"scope": {
"files": {
"file_ids": [],
"collection_ids": []
},
"graph": {
"node_ids": [],
"entity_type_ids": [],
"relationship_type_ids": []
},
"shape_ids": []
}
},
"description": "<string>"
}
'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices"
payload = {
"name": "<string>",
"definition": {
"purpose": "<string>",
"scope": {
"files": {
"file_ids": [],
"collection_ids": []
},
"graph": {
"node_ids": [],
"entity_type_ids": [],
"relationship_type_ids": []
},
"shape_ids": []
}
},
"description": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
definition: {
purpose: '<string>',
scope: {
files: {file_ids: [], collection_ids: []},
graph: {node_ids: [], entity_type_ids: [], relationship_type_ids: []},
shape_ids: []
}
},
description: '<string>'
})
};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'definition' => [
'purpose' => '<string>',
'scope' => [
'files' => [
'file_ids' => [
],
'collection_ids' => [
]
],
'graph' => [
'node_ids' => [
],
'entity_type_ids' => [
],
'relationship_type_ids' => [
]
],
'shape_ids' => [
]
]
],
'description' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"definition\": {\n \"purpose\": \"<string>\",\n \"scope\": {\n \"files\": {\n \"file_ids\": [],\n \"collection_ids\": []\n },\n \"graph\": {\n \"node_ids\": [],\n \"entity_type_ids\": [],\n \"relationship_type_ids\": []\n },\n \"shape_ids\": []\n }\n },\n \"description\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"definition\": {\n \"purpose\": \"<string>\",\n \"scope\": {\n \"files\": {\n \"file_ids\": [],\n \"collection_ids\": []\n },\n \"graph\": {\n \"node_ids\": [],\n \"entity_type_ids\": [],\n \"relationship_type_ids\": []\n },\n \"shape_ids\": []\n }\n },\n \"description\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"definition\": {\n \"purpose\": \"<string>\",\n \"scope\": {\n \"files\": {\n \"file_ids\": [],\n \"collection_ids\": []\n },\n \"graph\": {\n \"node_ids\": [],\n \"entity_type_ids\": [],\n \"relationship_type_ids\": []\n },\n \"shape_ids\": []\n }\n },\n \"description\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"schema": "penumbra.context-slice",
"version": 1,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"draft_revision": 123,
"draft_definition": {
"purpose": "<string>",
"scope": {
"files": {
"file_ids": [],
"collection_ids": []
},
"graph": {
"node_ids": [],
"entity_type_ids": [],
"relationship_type_ids": []
},
"shape_ids": []
}
},
"head": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"definition_hash": "<string>",
"resolved_hash": "<string>",
"published_at": "2023-11-07T05:31:56Z"
},
"created_by_subject_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"replayed": true
}
}Operation ID:
http.views.slices.create
POST /v1/orgs/{org}/projects/{project}/context/slices
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
1–200 printable ASCII characters, no surrounding spaces; '.' and '..' are reserved. Reuse this key with the same request when retrying an uncertain outcome.
Required string length:
1 - 200Pattern:
^(?!\.{1,2}$)[!-~](?:[ -~]*[!-~])?$Body
application/json
Response
2XX - application/json
Success.
Show child attributes
Show child attributes